/// Problem  : D (School ACM 2006)
/// Solution : Igor V. Burago

#include <fstream>
using namespace std;

#pragma comment(linker, "/STACK:30000000")

ifstream cin("input.txt");
ofstream cout("output.txt");

#define MAX_N 1002
#define MAX_M 1002

bool a_[2*MAX_M+1][2], (*a)[2];
short fr_[2*MAX_M+1][MAX_N], (*fr)[MAX_N];
int num[MAX_N];
int n, res, p;

inline bool ok(int k)
{
  return k >= -1000 && k <= 1000;
}

void Rec(int k, int i)
{
  if (i > 1) Rec(fr[k][i], i-1);
  int q;
  char sign;
  if (ok(q = fr[k][i] + num[i]) && q == k) sign = '+';
  if (ok(q = fr[k][i] - num[i]) && q == k) sign = '-';
  if (ok(q = fr[k][i] * num[i]) && q == k) sign = '*';
  if (num[i] && ok(q = fr[k][i] / num[i]) && q == k) sign = '/';
  cout << sign;  
}

int main()
{
  n = 0;
  while (cin >> num[n++]);
  res = num[n -= 2];

  // memset(a_, 0, sizeof a_);
  // memset(fr_, 0, sizeof fr_);

  // array tricks for -MAX_M..MAX_M range
  a = a_ + MAX_M;
  fr = fr_ + MAX_M;

  int i, j, k;

  a[num[0]][0] = true;
  p = 1;

  for (i = 1; i < n; i++, p = 1-p)
  {
    for (j = -MAX_M; j <= MAX_M; j++)
      if (a[j][1-p])
      {
        if (ok(k = j + num[i])) { a[k][p] = true; fr[k][i] = j; }
        if (ok(k = j - num[i])) { a[k][p] = true; fr[k][i] = j; }
        if (ok(k = j * num[i])) { a[k][p] = true; fr[k][i] = j; }
        if (num[i] && ok(k = j / num[i])) { a[k][p] = true; fr[k][i] = j; }
      }
    for (j = -1000; j <= 1000; j++) a[j][1-p] = false;
  }

  if (!a[res][1-p]) cout << "IMPOSSIBLE";
  else Rec(res, n-1);

  return 0;
}